function ObjectAD() {
  /* Define Variables*/
  this.ADID        = 0;
  this.ADType      = 0;
  this.ADName      = "";
  this.ImgUrl      = "";
  this.ImgWidth    = 0;
  this.ImgHeight   = 0;
  this.FlashWmode  = 0;
  this.LinkUrl     = "";
  this.LinkTarget  = 0;
  this.LinkAlt     = "";
  this.Priority    = 0;
  this.CountView   = 0;
  this.CountClick  = 0;
  this.InstallDir  = "";
  this.ADDIR       = "";
}

function CodeZoneAD(_id) {
  /* Define Common Variables*/
  this.ID          = _id;
  this.ZoneID      = 0;

  /* Define Unique Variables*/

  /* Define Objects */
  this.AllAD       = new Array();
  this.ShowAD      = null;

  /* Define Functions */
  this.AddAD       = CodeZoneAD_AddAD;
  this.GetShowAD   = CodeZoneAD_GetShowAD;
  this.Show        = CodeZoneAD_Show;

}

function CodeZoneAD_AddAD(_AD) {
  this.AllAD[this.AllAD.length] = _AD;
}

function CodeZoneAD_GetShowAD() {
  if (this.ShowType > 1) {
    this.ShowAD = this.AllAD[0];
    return;
  }
  var num = this.AllAD.length;
  var sum = 0;
  for (var i = 0; i < num; i++) {
    sum = sum + this.AllAD[i].Priority;
  }
  if (sum <= 0) {return ;}
  var rndNum = Math.random() * sum;
  i = 0;
  j = 0;
  while (true) {
    j = j + this.AllAD[i].Priority;
    if (j >= rndNum) {break;}
    i++;
  }
  this.ShowAD = this.AllAD[i];
}

function CodeZoneAD_Show() {
  if (!this.AllAD) {
    return;
  } else {
    this.GetShowAD();
  }

  if (this.ShowAD == null) return false;
  document.write(this.ShowAD.ADIntro);
}

var ZoneAD_29 = new CodeZoneAD("ZoneAD_29");
ZoneAD_29.ZoneID      = 29;
ZoneAD_29.ZoneWidth   = 0;
ZoneAD_29.ZoneHeight  = 0;
ZoneAD_29.ShowType    = 1;

var objAD = new ObjectAD();
objAD.ADID           = 59;
objAD.ADType         = 4;
objAD.ADName         = "287*60-2";
objAD.ImgUrl         = "";
objAD.InstallDir     = "/";
objAD.ImgWidth       = 0;
objAD.ImgHeight      = 0;
objAD.FlashWmode     = 0;
objAD.ADIntro        = "<script type=\"text/JavaScript\"> \n\ralimama_pid=\"mm_10001063_100789_0\"; \n\ralimama_sid=\"109780420011_157424_100083\"; \n\ralimama_feedback=\"0\"; \n\ralimama_titlecolor=\"0000FF\"; \n\ralimama_bgcolor=\"FFFFFF\"; \n\ralimama_bordercolor=\"E6E6E6\"; \n\ralimama_bottomcolor=\"FFFFFF\"; \n\ralimama_width=250; \n\ralimama_height=250; \n\r</script> \n\r<script src=\"http://p1.alimama.com/nainf.js\" type=text/javascript> \n\r</script>";
objAD.LinkUrl        = "";
objAD.LinkTarget     = 1;
objAD.LinkAlt        = "";
objAD.Priority       = 1;
objAD.CountView      = 1;
objAD.CountClick     = 0;
objAD.ADDIR          = "AD";
ZoneAD_29.AddAD(objAD);

ZoneAD_29.Show();
